Name:                apache-mina
Version:             2.0.22
Release:             1
Summary:             Apache MINA
License:             ASL 2.0
URL:                 http://mina.apache.org
Source0:             https://github.com/apache/mina/archive/%{version}.tar.gz
BuildRequires:       maven-local mvn(com.jcraft:jzlib) mvn(commons-lang:commons-lang)
BuildRequires:       mvn(org.apache:apache:pom:) mvn(org.slf4j:slf4j-api)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)
BuildArch:           noarch

%description
Apache MINA is a network application framework which helps users develop high
performance and high scalability network applications easily. It provides an
abstract event-driven asynchronous API over various transports such as TCP/IP
and UDP/IP via Java NIO.

%package        mina-core
Summary:             Apache MINA Core

%description    mina-core
This package contains Apache MINA Core module.

%package        mina-filter-compression
Summary:             Apache MINA Compression Filter

%description    mina-filter-compression
This package contains Apache MINA Compression Filter module.

%package        mina-statemachine
Summary:             Apache MINA State Machine

%description    mina-statemachine
This package contains Apache MINA State Machine module.

%package        mina-http
Summary:             Apache MINA HTTP client and server codec

%description    mina-http
This package contains Apache MINA HTTP client and server codec.

%package        javadoc
Summary:             API documentation for %{name}

%description javadoc
This package provides %{name}.

%prep
%setup -q -n mina-%{version}
sed -i \
    -e 's|<packaging>bundle</packaging>|<packaging>jar</packaging>|g' \
    -e 's|<type>bundle</type>|<type>jar</type>|g' \
    $(find . -name pom.xml)
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-bundle-plugin
%pom_remove_plugin :maven-site-plugin
%pom_disable_module mina-legal
%pom_disable_module mina-transport-apr
%pom_disable_module mina-integration-beans
%pom_disable_module mina-integration-xbean
%pom_disable_module mina-integration-ognl
%pom_disable_module mina-integration-jmx
%pom_disable_module mina-example

%build
%mvn_build -f -s

%install
%mvn_install

%files -f .mfiles-mina-parent
%doc LICENSE.txt NOTICE.txt

%files mina-core -f .mfiles-mina-core
%doc LICENSE.txt NOTICE.txt

%files mina-filter-compression -f .mfiles-mina-filter-compression

%files mina-statemachine -f .mfiles-mina-statemachine
%doc LICENSE.txt NOTICE.txt

%files mina-http -f .mfiles-mina-http

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt

%changelog
* Fri 5 Nov wangkai <wangkai385@huawei.com> - 2.0.22-1
- Upgrade to 2.0.22 for fix CVE-2021-41973

* Mon 21 Sep wangyue <wangyue92@huawei.com> - 2.0.21-1
- Fix CVE-2019-0231

* Mon Jul 27 2020 leiju <leiju4@huawei.com> - 2.0.9-1
- Package init
